Subject: Re: rlogin, rsh, and cvs server
From: Tadeusz Liszka <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 12 Jul 1999 20:16:05 -0500

Hello,

RSH on Win32 is non-conforming (as most of Microsoft production), so
this setup can be used only Unix-to-Unix.

We've been using pserver. You activate cvs-server on server side and
connect to it directly from client - no user intervention required
besides 'cvs login/logout'. The only problem we have is with security -
we use setuid access control to limit per file/directory access for
individual users, and it effectively disallows checkin to any not
globally open files (or requires disabling access control for anybody
connected via pserver)

Alternative is to find ssh, which is pretty good substitute for rsh, and
provides significantly better security - we managed to get secure (we
hope) connection around the firewall across the open Internet - so I can
work from home. Actually we use pserver with ssh tunneling the
connection on port 2401.

RSH on Win32 is non-conforming (as most of Microsoft production), so
this setup can be used only Unix-to-Unix.

Elliot Mednick wrote:
> 
> Hello,
> 
> I want to be able to use cvs client/server with the client on my Cygwin
> (Win98) machine and with the server on a Sparc.  Should be easy enough.
> However, I'm having a particulary difficult time finding rsh/rlogin for
> Cygwin.  I grabbed Sergey's remote package and rlogin (I think I have
> /etc/passwd set up correctly) generates a stack fault.  I didn't find
> rlogin/rsh in Andy Piper's local package.  I tried to build it from sources
> and I couldn't find the inet libs/includes (resolv.h, etc.).
> 
> So, can someone help me out with rsh?
> 
> And, can someone recommend the best way to use cvs as a client from Cygwin?
> Is the rsh method best?  Or should I attempt to use the inetd method?
> 
> (No firewall involved.  I can use cvs now by mounting the repository via a
> Samba server, and I can checkout, but I cannot commit because other users
> change ownership of the repository files and Samba apparently will not allow
> my Cygwin cvs to delete those files.  Therefore the client/server approach.)
> 
> Thanks!!
> 
> --
> Elliot Mednick                              51 Sawyer Rd, Suite 110
> Processor Architect                         Waltham, MA. 02453
> Lexra, Inc.                                 (781) 899-5799 x805
> [email-masked]                            (781) 899-5769 fax
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Tadeusz
:: The public opinion should be alarmed by its own nonexistence
:: (512)467-0618 ext. 526 ::       Stanislaw J. Lec, trans. TJL

--
Want to unsubscribe from this list?
Send a message to [email-masked]